MyKutuphane/Controllers/KategoriController.cs
using Microsoft.AspNetCore.Mvc;
using MyKutuphane.DataAccess.Context;
using MyKutuphane.DataAccess.Entities;
using MyKutuphane.Models.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace MyKutuphane.Controllers
{
    public class KategoriController : Controller
    {
        private readonly KutuphaneDbContext _context;



        public KategoriController(KutuphaneDbContext context)
        {
            _context = context;
        }
        public IActionResult Index()
        {

            var kategoriList = _context.Kategoriler.Select(q =>
             new Kategori
             {
                 Ad=q.Ad,
                 Image=q.Image
                
             }
            ).ToList();
            return View(kategoriList);
        }
    }
}

MyKutuphane/Controllers/KitapController.cs
using Microsoft.AspNetCore.Mvc;
using MyKutuphane.DataAccess.Context;
using MyKutuphane.DataAccess.Entities;
using MyKutuphane.Models.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace MyKutuphane.Controllers
{
    public class KitapController : Controller
    {
        private readonly KutuphaneDbContext _context;
        public KitapController(KutuphaneDbContext context)
        {
            _context = context;
        }

      
        public IActionResult Index()
        {
            var kitaplist = _context.Kitaplar.Select(q=> new Kitap
            {
                Id = q.Id,
                Ad =q.Ad,
                Yazar=q.Yazar,
               Kategori=q.Kategori,
                SıraNo=q.SıraNo,
                Adet=q.Adet,
                EklenmeTarihi=q.EklenmeTarihi
            }).ToList();
          
            return View(kitaplist);
        }

        public IActionResult KitapEkle()
        {
            Kitap kitap = new Kitap();
            return View();
        }
        [HttpPost]
        public IActionResult KitapEkle(Kitap kitapekle)
        {
            var yenikitap = new Kitap
            {
               
                Ad = kitapekle.Ad,
                Adet= kitapekle.Adet,
                SıraNo= kitapekle.SıraNo,
                Yazar= kitapekle.Yazar,
                EklenmeTarihi = kitapekle.EklenmeTarihi,
                Kategori = kitapekle.Kategori

            };
            _context.Add(yenikitap);
            var result = _context.SaveChanges();

            return RedirectToAction("Index");

        }

        public IActionResult KitapSil(int id)
        {
            var kitap = _context.Kitaplar.FirstOrDefault(q => q.Id == id);
            _context.Kitaplar.Remove(kitap);
            var result = _context.SaveChanges();
            return RedirectToAction("Index");
        }
    }
}

MyKutuphane/Controllers/UyeController.cs
using Microsoft.AspNetCore.Mvc;
using MyKutuphane.DataAccess.Context;
using MyKutuphane.DataAccess.Entities;
using MyKutuphane.Models.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace MyKutuphane.Controllers
{
    public class UyeController : Controller
    {
        private readonly KutuphaneDbContext _context;
        public UyeController(KutuphaneDbContext context)
        {
            _context = context;
        }

        public IActionResult Index()
        {
            var uyelist = _context.Uyeler.Select(q => new Uye
            {
                Id = q.Id,
                Ad = q.Ad,
                Soyad = q.Soyad,
                TCNO = q.TCNO,
                Telefon = q.Telefon,
                Mail = q.Mail
            }).ToList();
            return View(uyelist);
        }

        public IActionResult UyeEkle()
        {
           // UyeListVM kitap = new UyeListVM();
            return View();
        }
        [HttpPost]
        public IActionResult UyeEkle(Uye uyeekle)
        {
            var yeniuye = new Uye
            {
                Ad = uyeekle.Ad,
                Soyad = uyeekle.Soyad,
                TCNO = uyeekle.TCNO,
                Telefon = uyeekle.Telefon,
                KayitTarihi = uyeekle.KayitTarihi,
              

            };
            _context.Add(yeniuye);
            var result = _context.SaveChanges();

            return RedirectToAction("Index");

        }

        public IActionResult UyeSil(int id)
        {
            var uyeSil = _context.Uyeler.FirstOrDefault(q => q.Id == id);
            _context.Uyeler.Remove(uyeSil);
            var result = _context.SaveChanges();
            return RedirectToAction("Index");
        }
        [HttpGet]
        public IActionResult UyeDuzenle(int id1)
        {
            var uyeDuzenle = _context.Uyeler.FirstOrDefault(q => q.Id == id1);
            return View(uyeDuzenle);
        }

        [HttpPost]
        public IActionResult UyeDuzenle(Uye uyeDuzenle,int id)
        {
            var yeniUye = _context.Uyeler.FirstOrDefault(q => q.Id == id);
            yeniUye.Ad = uyeDuzenle.Ad;
            yeniUye.Soyad = uyeDuzenle.Soyad;
            yeniUye.TCNO = uyeDuzenle.TCNO;
            yeniUye.Telefon = uyeDuzenle.Telefon;
            yeniUye.KayitTarihi = uyeDuzenle.KayitTarihi;
            _context.SaveChanges();

            return RedirectToAction("Index");
        }
    }
}

MyKutuphane/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">

<head>

    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Track Material Design Bootstrap Admin Template</title>

    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link rel="stylesheet" href="/materialize/css/materialize.min.css" media="screen,projection" />
    <!-- Bootstrap Styles-->
    <link href="/css/bootstrap.css" rel="stylesheet" />
    <!-- FontAwesome Styles-->
    <link href="/css/font-awesome.css" rel="stylesheet" />
    <!-- Morris Chart Styles-->
    <link href="/js/morris/morris-0.4.3.min.css" rel="stylesheet" />
    <!-- Custom Styles-->
    <link href="/css/custom-styles.css" rel="stylesheet" />
    <!-- Google Fonts-->
    <link href='http://fonts.googleapis.com/css?family=Open+Sans' rel='stylesheet' type='text/css' />
  
    <link rel="stylesheet" href="/js/Lightweight-Chart/cssCharts.css">
</head>

<body>
    <div id="wrapper">
        <nav class="navbar navbar-default top-navbar" role="navigation">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle waves-effect waves-dark" data-toggle="collapse" data-target=".sidebar-collapse bg-dark">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand waves-effect waves-dark" asp-controller="Home" asp-action="Index"><i class="large material-icons">insert_chart</i> <strong>KÜTÜPHANE</strong></a>

                <div id="sideNav" href=""><i class="material-icons dp48">toc</i></div>
            </div>

            <ul class="nav navbar-top-links navbar-right">
                <li><a class="dropdown-button waves-effect waves-dark" href="#!" data-activates="dropdown1"><i class="fa fa-user fa-fw"></i> <b>John Doe</b> <i class="material-icons right">arrow_drop_down</i></a></li>
            </ul>
        </nav>
        <!-- Dropdown Structure -->
        <ul id="dropdown1" class="dropdown-content">
            <li>
                <a href="#"><i class="fa fa-user fa-fw"></i> My Profile</a>
            </li>
            <li>
                <a href="#"><i class="fa fa-gear fa-fw"></i> Settings</a>
            </li>
            <li>
                <a href="#"><i class="fa fa-sign-out fa-fw"></i> Logout</a>
            </li>
        </ul>

     
        <ul id="dropdown4" class="dropdown-content dropdown-tasks w250">
            <li>
                <a href="#">
                    <div>
                        <strong>Feyza Yazıcı</strong>
                        <span class="pull-right text-muted">
                            <em>Today</em>
                        </span>
                    </div>
                    <div>Lorem Ipsum has been the industry's standard dummy text ever since the 1500s...</div>
                </a>
            </li>

        </ul>
        <!--/. NAV TOP  -->
        <nav class="navbar-default navbar-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav" id="main-menu">

                    <li>
                        <a asp-controller="Home" asp-action="Index" class="active-menu waves-effect waves-dark"><i class="fa fa-home"></i> Anasayfa</a>
                    </li>
                    <li>
                        <a asp-controller="Kategori" asp-action="Index" class="waves-effect waves-dark"><i class="fa fa-bars"></i> Kategoriler</a>
                    </li>
                    <li>
                        <a asp-controller="Kitap" asp-action="Index" class="waves-effect waves-dark"><i class="fa fa-book"></i>Kitaplar</a>
                    </li>
                    <li>
                        <a asp-controller="Uye" asp-action="Index" class="waves-effect waves-dark"><i class="fa fa-user"></i> Üyeler</a>
                    </li>
                    <li>
                        <a class="waves-effect waves-dark"><i class="fa fa-	fas fa-tags"></i> Ödünç Kitap Al</a>
                    </li>
                    <li>
                        <a class="waves-effect waves-dark"><i class="fa fa-hand-o-right"></i> Ödünç Kitap Ver</a>
                    </li>

                    @*<li>
            <a href="#">Second Level Link<span class="fa arrow"></span></a>
            <ul class="nav nav-third-level">
                <li>
                    <a href="#">Third Level Link</a>
                </li>
                <li>
                    <a href="#">Third Level Link</a>
                </li>
                <li>
                    <a href="#">Third Level Link</a>
                </li>

            </ul>

        </li>*@
               
                </ul>
          

            </div>

        </nav>
        <!-- /. NAV SIDE  -->

        <div id="page-wrapper">
          
            <div id="page-inner">


                @RenderBody()

            </div>
            <!-- /. PAGE INNER  -->
        </div>
        <!-- /. PAGE WRAPPER  -->
    </div>
    <!-- /. WRAPPER  -->
    <!-- JS Scripts-->
    <!-- jQuery Js -->
    <script src="/js/jquery-1.10.2.js"></script>

    <!-- Bootstrap Js -->
    <script src="/js/bootstrap.min.js"></script>

    <script src="/materialize/js/materialize.min.js"></script>

    <!-- Metis Menu Js -->
    <script src="/js/jquery.metisMenu.js"></script>
    <!-- Morris Chart Js -->
    <script src="/js/morris/raphael-2.1.0.min.js"></script>
    <script src="/js/morris/morris.js"></script>


    <script src="/js/easypiechart.js"></script>
    <script src="/js/easypiechart-data.js"></script>

    <script src="/js/Lightweight-Chart/jquery.chart.js"></script>

    <!-- Custom Js -->
   
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    <script src="/js/custom-scripts.js"></script>
    @await RenderSectionAsync("Scripts", required: false)


</body>

</html>